# TdApi.PublicChatType (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PublicChatType

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PublicChatType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PublicChatType

Direct Known Subclasses:
  `TdApi.PublicChatTypeHasUsername`, `TdApi.PublicChatTypeIsLocationBased`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.PublicChatType extends TdApi.Object permits TdApi.PublicChatTypeHasUsername, TdApi.PublicChatTypeIsLocationBased
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`PublicChatType()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PublicChatType

public PublicChatType()